
#include <avr/io.h>
#include <stdint.h>


//Port A als Clock - Ausgang
#ifndef DDR_LC_Clock
#define DDR_LC_Clock DDRA
#endif

#ifndef PORT_LC_Clock
#define PORT_LC_Clock PORTA
#endif

#ifndef PIN_LC_Clock
#define PIN_LC_Clock PINA
#endif

//Port F als Data - Ausgang
#ifndef DDR_LC_Data
#define DDR_LC_Data DDRF
#endif

#ifndef PORT_LC_Data
#define PORT_LC_Data PORTF
#endif

#ifndef PIN_LC_Data
#define PIN_LC_Data PINF
#endif

//Port C als SW - Eingang
#ifndef DDR_LC_Switch
#define DDR_LC_Switch DDRC
#endif

#ifndef PORT_LC_Switch
#define PORT_LC_Switch PORTC
#endif

#ifndef PIN_LC_Switch
#define PIN_LC_Switch PINC
#endif



//_____________________________________________________________________

//Commandos fuer die Ansteuerung der Tasten
#define COMM_SET_DISP_ADDR 0b01000000
#define COMM_SET_COLOR 0b01000001
#define COMM_SET_RGB_COLOR 0b01000010
#define COMM_END_TRANSMISSION 0b01000011




void sendByteToAll(uint8_t data);
void sendByteToKeys(uint8_t columnMask, uint8_t rowMask, uint8_t data);
void sendByteToKey(uint8_t keyNumber, uint8_t data);
void sendByteToRow(uint8_t rowNumber, uint8_t data);
void sendByteToColumn(uint8_t columnNumber, uint8_t data);
